class Bup < Formula
  desc "Backup tool"
  homepage "https://bup.github.io/"
  url "https://github.com/bup/bup/archive/refs/tags/0.33.3.tar.gz"
  sha256 "0aa6e98352c939180e82bbb0a647afd8d1b3d5eda6771b65e694099f6b956ac5"
  license all_of: ["BSD-2-Clause", "LGPL-2.0-only"]
  head "https://github.com/bup/bup.git", branch: "master"

  depends_on "pandoc" => :build
  depends_on "pkg-config" => :build
  depends_on "python@3.12"

  def python3
    which("python3.12")
  end

  def install
    ENV["BUP_PYTHON_CONFIG"] = "#{python3}-config"
    system "make", "PREFIX=#{prefix}", "install"
  end

  test do
    system bin/"bup", "init"
    assert_predicate testpath/".bup", :exist?
  end
end
